Gda.SqlStatementType – Gda-6.0 Reference Manual

# SqlStatementType

## Description:

[ CCode ( cprefix = "GDA_SQL_STATEMENT_" , has_type_id = false ) ]
public enum SqlStatementType
Namespace: Gda
Package: Gda-6.0

## Content:

### Enum values:

- BEGIN
- COMMIT
- COMPOUND
- DELETE
- DELETE_SAVEPOINT
- INSERT
- NONE
- ROLLBACK
- ROLLBACK_SAVEPOINT
- SAVEPOINT
- SELECT
- UNKNOWN
- UPDATE

### Methods:

- public unowned string to_string ()